Subject: Cage Update
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 22 Jun 2000 04:52:00 -0700 (PDT)

Two notices have been faxed by legal to Cage.  The first notice was sent 
Friday, June 16, notifying them of their communication to us of their intent 
not to perform on thier deliveries.  The second notice was sent on Tuesday, 
June 20, notifying Cage of a Triggering Event.  The draw on the Letter of 
Credit was sent to the Bank of Oklahoma on Wednesday, June 21, by FedEx for 
$540,170.00.  Prelimaniy amounts from Structuring show that the remaining 
value of all the transactions are $735,000.00.  The transactions have been 
terminated as of close of business, Monday June 19.

Russell.